    import {Lockup} from '@solana/web3'

public class | source

# Lockup

## Constructor Summary

Public Constructor
public | constructor(unixTimestamp: number, epoch: number, custodian: PublicKey) Create a new Lockup object |

## Member Summary

Public Members
public | custodian: PublicKey |
public | epoch: number |
public | unixTimestamp: number |

## Public Constructors

### public constructor(unixTimestamp: number, epoch: number, custodian: PublicKey) source

Create a new Lockup object

#### Params:

Name | Type | Attribute | Description
unixTimestamp | number |  |
epoch | number |  |
custodian | PublicKey |  |

## Public Members

### public custodian: PublicKey source

### public epoch: number source

### public unixTimestamp: number source